Subject: Re: bug#69559: 29.2; Eshell: completing Tramp remote hosts no longer works

From: Michael Albinus <[email-masked]>
Date: Tue, 05 Mar 2024 09:30:22 +0100

Jim Porter <[email-masked]> writes:

Hi Jim,

> Thanks for the report. I believe this is the same as bug#65356, though
> that bug suggests it was a new feature, rather than a fix for
> something that broke. In any case, I tested it in Emacs 30 and all
> seems well there.
>
> It would be interesting to see what commit regressed this between 29.1
> and 29.2 though...

Likely, it isn't a single commit. Tramp's method, user name and host
name completion has been reworked between Emacs 29.1 (Tramp 2.6.0.29.1)
and Emacs 29.2 (Tramp 2.6.2.29.2). See bug#37954, bug#51386, bug#52758,
bug#53513, bug#54042 and bug#60505.

Best regards, Michael.